Name:           perl-Catalyst-View-Email
Version:        0.35
Release:        3%{?dist}
Summary:        Send Email from Catalyst
License:        GPL+ or Artistic
Group:          Development/Libraries
URL:            http://search.cpan.org/dist/Catalyst-View-Email/
Source0:        http://search.cpan.org/CPAN/authors/id/D/DH/DHOSS/Catalyst-View-Email-%{version}.tar.gz
BuildArch:      noarch
BuildRequires:  perl(Authen::SASL)
BuildRequires:  perl(Catalyst) >= 5.7
BuildRequires:  perl(Email::Date::Format)
BuildRequires:  perl(Email::MIME) >= 1.859
BuildRequires:  perl(Email::MIME::Creator) >= 1.455
BuildRequires:  perl(Email::Sender::Simple) => 0.100110
BuildRequires:  perl(ExtUtils::MakeMaker)
BuildRequires:  perl(Catalyst::View::TT) >= 0.31
BuildRequires:  perl(Catalyst::View::Mason) >= 0.18
BuildRequires:  perl(Moose) >= 0.93
BuildRequires:  perl(Test::More) >= 0.88
BuildRequires:  perl(Test::Pod)
BuildRequires:  perl(Test::Requires)
BuildRequires:  perl(parent) >= 0.223
Requires:       perl(:MODULE_COMPAT_%(eval "`%{__perl} -V:version`"; echo $version))
# not automatically detected
Requires:       perl(Catalyst) >= 5.7
Requires:       perl(Email::MIME) >= 1.859
# could be Recommends or Suggests?
#Requires:       perl(Catalyst::View::TT) >= 0.31
#Requires:       perl(Catalyst::View::Mason) >= 0.18

%{?perl_default_filter}

%description
This module sends out emails from a stash key specified in the configuration
settings.

%prep
%setup -q -n Catalyst-View-Email-%{version}

%build
PERL5_CPANPLUS_IS_RUNNING=1 %{__perl} Makefile.PL INSTALLDIRS=vendor
make %{?_smp_mflags}

%install
make pure_install DESTDIR=$RPM_BUILD_ROOT

find $RPM_BUILD_ROOT -type f -name .packlist -exec rm -f {} \;

%{_fixperms} $RPM_BUILD_ROOT/*

%check
TEST_POD=yep make test

%files
%doc Changes
%{perl_vendorlib}/*
%{_mandir}/man3/*

%changelog
* Thu Jun 18 2015 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.35-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_23_Mass_Rebuild

* Fri Jun 12 2015 Jitka Plesnikova <jplesnik@redhat.com> - 0.35-2
- Perl 5.22 rebuild

* Thu Jan 01 2015 Emmanuel Seyman <emmanuel@seyman.fr> - 0.35-1
- Update to 0.35

* Sat Nov 15 2014 Emmanuel Seyman <emmanuel@seyman.fr> - 0.34-1
- Update to 0.34

* Tue Sep 02 2014 Jitka Plesnikova <jplesnik@redhat.com> - 0.33-4
- Perl 5.20 rebuild

* Sat Jun 07 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.33-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_Mass_Rebuild

* Sat Aug 03 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.33-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_20_Mass_Rebuild

* Fri Feb 15 2013 Iain Arnell <iarnell@gmail.com> 0.33-1
- update to latest upstream version

* Thu Feb 14 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.31-8
- Rebuilt for https://fedoraproject.org/wiki/Fedora_19_Mass_Rebuild

* Fri Jul 20 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.31-7
- Rebuilt for https://fedoraproject.org/wiki/Fedora_18_Mass_Rebuild

* Wed Jul 04 2012 Petr Pisar <ppisar@redhat.com> - 0.31-6
- Perl 5.16 rebuild

* Fri Jan 13 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.31-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_17_Mass_Rebuild

* Thu Jul 21 2011 Petr Sabata <contyk@redhat.com> - 0.31-4
- Perl mass rebuild

* Tue Jul 19 2011 Petr Sabata <contyk@redhat.com> - 0.31-3
- Perl mass rebuild

* Tue Feb 08 2011 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.31-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_15_Mass_Rebuild

* Fri Jan 21 2011 Iain Arnell <iarnell@gmail.com> 0.31-1
- update to latest upstream version
- clean up spec for modern rpmbuild

* Wed Dec 15 2010 Marcela Maslanova <mmaslano@redhat.com> - 0.30-2
- 661697 rebuild for fixing problems with vendorach/lib

* Fri May 28 2010 Iain Arnell <iarnell@gmail.com> 0.30-1
- update to latest upstream
- BR perl(Test::Requires)
- drop Catalyst::View::TT and Catalyst::View::Mason requirements

* Thu May 20 2010 Iain Arnell <iarnell@gmail.com> 0.28-1
- update to latest upstream

* Fri Apr 30 2010 Marcela Maslanova <mmaslano@redhat.com> - 0.27-2
- Mass rebuild with perl-5.12.0

* Sat Mar 27 2010 Iain Arnell <iarnell@gmail.com> 0.27-1
- update to latest upstream version
- use perl_default_filter and DESTDIR
- BR perl(Test::More) >= 0.88

* Fri Feb 12 2010 Iain Arnell <iarnell@gmail.com> 0.23-1
- update to latest upstream version
- no BR perl(Email::Send::Test)

* Wed Jan 27 2010 Iain Arnell <iarnell@gmail.com> 0.20-1
- update to latest upstream

* Fri Jan 22 2010 Iain Arnell <iarnell@gmail.com> 0.19-1
- update to latest upstream
- BR perl(Email::Send::Test)

* Mon Dec  7 2009 Stepan Kasal <skasal@redhat.com> - 0.13-3
- rebuild against perl 5.10.1

* Sat Jul 25 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.13-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_12_Mass_Rebuild

* Sun May 10 2009 Iain Arnell 0.13-1
- Specfile autogenerated by cpanspec 1.77.
